﻿using System;

namespace BigfootSQL
{
    public class ModelError
    {
        public string PropertyName { get; set; }
        public string Message { get; set; }
        public Exception Data { get; set; }
        public ModelError(string propName, string msg)
        {
            PropertyName = propName;
            Message = msg;
        }
        public ModelError(string propName, string msg, Exception referencedException)
        {
            PropertyName = propName;
            Message = msg;
            Data = referencedException;
        }
    }
}
