﻿using System;
using BigfootDNN;
using DotNetNuke.Entities.Modules;
using DotNetNuke.Services.Search;

namespace YourCompany.Modules.MvcTemplate
{
    public class App : DnnApp, ISearchable, IPortable
    {

        ///<summary>
        /// This method is called on every request handled by the Route.ascx control and the Route.ashx. 
        /// The Route.ashx handles all ajax requests
        ///</summary>
        public static DnnApp InitApp()
        {
            return new App();
        }

        /// <summary>
        /// Initializes itself and its base object with the 
        /// </summary>
        public App() : base( "YourCompany.MvcTemplate",         /* Assembly Name */
                             "YourCompany.Modules.MvcTemplate", /* Module Namespace */
                             "MvcTemplate",                     /* Module Folder Name */
                             "MvcTemplate",                     /* Module Shortname */
                             "YourCompany_MvcTemplate") { }     /* Database Object Qualifier*/



        public string ExportModule(int ModuleID)
        {
            throw new NotImplementedException();
        }

        public void ImportModule(int ModuleID, string Content, string Version, int UserID)
        {
            throw new NotImplementedException();
        }

        public SearchItemInfoCollection GetSearchItems(ModuleInfo ModInfo)
        {
            throw new NotImplementedException();
        }
    }
}