﻿using System.Collections.Specialized;
using System.Web;

namespace BigfootWeb
{
    /// <summary>
    /// This is the concreate IContext implementation for the ASP.NET pipeline.
    /// </summary>
    public class ASPContext : IContext
    {
        public HttpContext GetContext()
        {
            return HttpContext.Current;
        }

        public HttpRequest GetRequest()
        {
            return GetContext().Request;
        }

        public HttpResponse GetResponse()
        {
            return GetContext().Response;
        }

        public HttpServerUtility GetServer()
        {
            return GetContext().Server;
        }

        public NameValueCollection ManualValues { get; set; }
    }
}
