﻿<%@ Control Language="C#" Inherits="BigfootDNN.Mvc.MvcBaseView" %>
<%@ Import Namespace="YourCompany.Modules.MvcTemplate.ViewModel" %>

<script runat="server">
    public EditTimeEntryViewModel ModelData; 
</script>

<% try {%>

<h1>Edit Time Entry</h1>
    
<%= BF.Html.Hidden("ItemId").value(ModelData.Entry.ItemId)%>

<%= BF.Html.TextBox("ItemDate").Label("Date").value(ModelData.Entry.ItemDate.ToShortDateString()).ValRequired().ValDate()%> <br />
<%= BF.Html.TextBox("Hours").Label("Hours").value(ModelData.Entry.Hours.ToString("#.#")).ValRequired().ValNumber()%> <br />
<%=BF.Html.TextBox("Description").Label("Description").value(ModelData.Entry.Description).ValRequired()%> <br /><br />

<%= BF.Html.Link("Update Time Entry").AddClass("cmd").fontsize(12).
                onclick(BF.SubmitPartialForm(BF.uid("editEntry"), BF.Url.MvcAjaxUrl("timesheet", "updateentry")).
                             UpdatePanel(BF.uid("grid")).
                             HideAndShowElement(BF.uid("editEntry"), BF.uid("timesheet")).ToString())%>
or
<%=BF.Html.Link("Cancel").AddClass("cmd").onclick(BF.JS.ShowAndHideElement(BF.uid("timesheet"), BF.uid("editEntry")).ToString())%>

<%--Create a partial form for addEntry --%>
<%= BF.CreatePartialForm(BF.uid("editEntry"))%>

<% } catch (Exception e){ BF.HandleViewError(e); } %>