﻿<%@ Control Language="C#" Inherits="BigfootDNN.Mvc.MvcBaseView" %>
<%@ Import Namespace="YourCompany.Modules.MvcTemplate.ViewModel" %>

<script runat="server">
    public TimesheetViewModel ModelData;
</script>

<% try { %>


<div id="<%=BF.uid("timesheet") %>">

    <%--Add Form--%>
    <div id="<%=BF.uid("addEntry") %>">

        <h1>Add a new time entry</h1>
    
        <%= BF.Html.TextBox("ItemDate").Label("Date").ValRequired().ValDate().value(DateTime.Today.ToShortDateString())%> <br />
        <%= BF.Html.TextBox("Hours").Label("Hours").value(1).ValRequired().ValNumber()%> <br />
        <%= BF.Html.TextBox("Description").Label("Description").ValRequired()%> <br /><br />

        <%= BF.Html.Link("Add Entry").AddClass("cmd").fontsize(12).
                 onclick(BF.SubmitPartialForm(BF.uid("addEntry"), BF.Url.MvcAjaxUrl("Timesheet", "AddEntry")).UpdatePanel(BF.uid("grid")).ClearInput("Description").ToString())%>

        <%--Create a partial form for addEntry --%>
        <%= BF.CreatePartialForm(BF.uid("addEntry"))%>

    </div>

    <%--Grid--%>
    <div id="<%=BF.uid("grid") %>" class="topmargin3 bottommargin5">
        <%= BF.RenderPartial("Timesheet_Grid", ModelData)%>
    </div>

</div>


<%--Edit Form--%>
<div id="<%=BF.uid("editEntry") %>"></div>


<% } catch(Exception e) { BF.HandleViewError(e); }%>