﻿<%@ Control Language="C#" Inherits="BigfootDNN.Mvc.MvcBaseView" %>
<%@ Import Namespace="YourCompany.Modules.MvcTemplate.ViewModel" %>

<script runat="server">
    public TimesheetViewModel ModelData;
</script>

<table class="tablemin">
    <thead>            
        <tr>
            <th>Hours</th>
            <th>Date</th>
            <th>Description</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <% foreach (var item in ModelData.Items) {%>
            <tr>
                <td class="large bold"><%=item.Hours %></td>
                <td><%=item.ItemDate.ToShortDateString() %></td>
                <td><%=BF.E(item.Description)%></td>
                <td>
                    <%= BF.Html.Link("Delete").onclick(BF.Ajax(BF.Url.MvcAjaxUrl("Timesheet", "Delete", BF.UrlP("ItemId", item.ItemId))).
                                                        Post().
                                                        UpdatePanel(BF.uid("grid")).
                                                        ConfirmMessage("Are you sure you want to delete this time entry").ToString()).
                                                        AddClass("cmd")%>
                    <%= BF.Html.Link("Edit").onclick(BF.Ajax(BF.Url.MvcAjaxUrl("Timesheet", "EditEntry", BF.UrlP("ItemId", item.ItemId))).
                                                      UpdatePanel(BF.uid("editEntry")).
                                                      HideAndShowElement(BF.uid("timesheet"), BF.uid("editEntry")).ToString()).
                                                      AddClass("cmd")%>                                    
                </td>

            </tr>
        <% } %>
    </tbody>
</table>